ProGet 4.0.11 Has Been Released

We just shipped ProGet 4.0.11. It's a maintenance release of ProGet 4.0 which means that there is minimal risk to upgrading from an earlier 4.0. However, if you're planning to upgrade from a version prior to 4.0, make sure to read the appropriate upgrade notes.

To install or upgrade, simply download ProGet and run the installer.

Here's what we changed between 4.0.10 and 4.0.11:

  • PG-550 - FIX: npm package metadata requests should return 404 instead of empty package list if package was not found
  • PG-536 - FIX: Feed adapters cannot be deleted from the UI
  • PG-537 - Add advanced option to allow a user account to control the service
  • PG-538 - FIX: Error enumerating invalid LDAP names
  • PG-540 - Increase timeout for npm connector deletion
  • PG-546 - FIX: Universal feeds not rendering markdown package descriptions
  • PG-547 - FIX: npm feeds are not using custom package store
  • PG-548 - Full support for npm scoped packages
  • PG-549 - FIX: Upload NuGet package page should use feed adapters

To learn more about how we distinguish between major, minor, and maintenance releases, make sure to check out KB#1059 - When should I update?